CO_TIME.h File Reference
CANopen_301 » TIME

CANopen Time-stamp protocol. More...

`#include "301/CO_driver.h"`

Go to the source code of this file.

## Data Structures

struct | CO_TIME_t
| TIME producer and consumer object. More...

## Functions

CO_ReturnError_t | CO_TIME_init (CO_TIME_t *TIME, CO_EM_t *em, CO_SDO_t *SDO, CO_NMT_internalState_t *operatingState, uint32_t COB_ID_TIMEMessage, uint32_t TIMECyclePeriod, CO_CANmodule_t *CANdevRx, uint16_t CANdevRxIdx, CO_CANmodule_t *CANdevTx, uint16_t CANdevTxIdx)
| Initialize TIME object. More...
void | CO_TIME_initCallbackPre (CO_TIME_t *TIME, void *object, void(*pFunctSignalPre)(void *object))
| Initialize TIME callback function. More...
uint8_t | CO_TIME_process (CO_TIME_t *TIME, uint32_t timeDifference_us)
| Process TIME communication. More...

## Detailed Description

CANopen Time-stamp protocol.

Author
  Julien PEYREGNE

Copyright
  2019 - 2020 Janez Paternoster

This file is part of CANopenNode, an opensource CANopen Stack. Project home page is https://github.com/CANopenNode/CANopenNode. For more information on CANopen see http://www.can-cia.org/.

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.